Bug 509620 - Sound no longer works after F10->11 upgrade (HDA Intel)
Sound no longer works after F10->11 upgrade (HDA Intel)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-04 02:37 EDT by D. Wagner
Modified: 2010-06-28 09:28 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of alsa-info.sh --no-upload (22.42 KB, text/plain)
2009-07-04 02:37 EDT, D. Wagner
no flags Details
Output of lspci -vv (10.45 KB, application/octet-stream)
2009-07-04 02:38 EDT, D. Wagner
no flags Details
lspci output (30.65 KB, text/plain)
2009-07-24 13:44 EDT, Linuxguy123
no flags Details

  None (edit)
Description D. Wagner 2009-07-04 02:37:21 EDT
Created attachment 350474 [details]
Output of alsa-info.sh --no-upload

Description of problem:

I just upgraded from Fedora 10 to Fedora 11 (using a DVD).  Sound used to work fine before the upgrade.  After the upgrade, sound no longer works.

I'm using headphones via an analog out jack.  I checked the Common F11 bugs, and tried running both "pavucontrol", "Sound Preferences" (by right-clicking on the speaker icon on the Gnome panel), and System / Preferences / Advanced Volume Control.  I've fiddled with the volume controls and checked that no channel seems to be muted.  I've tried playing sound with both Exaile and "mpg123" at the command line (there used to be a "test" button on the Fedora Gnome sound configuration utility, but I didn't see anything like that any more).  When running "pavu-control", in the Configuration tab the Profile is listed as "Output Analog Stereo + Input Analog Stereo"; I've tried selecting other Profiles without any apparent effect.  No matter what I do, I get no sound.  Any ideas?

I'm attaching the output of "alsa-info.sh --no-upload" and "lspci -vv".

Looking through /var/log/messages, I see the following log messages:
Jul  4 00:04:20 mundy pulseaudio[2280]: shm.c: shm_open() failed: Permission denied
Jul  4 00:04:20 mundy pulseaudio[2280]: core.c: failed to allocate shared memory pool. Falling back to a normal memory pool.
Jul  4 00:04:21 mundy pulseaudio[2280]: module-alsa-card.c: Card '0' doesn't exist: Permission denied
Jul  4 00:04:21 mundy pulseaudio[2280]: module.c: Failed to load  module "module-alsa-card" (argument: "device_id=0 name=pci_8086_284b_sound_card_0 card_name=alsa_card.pci_8086_284b_sound_card_0 tsched=1"): initialization failed.
Jul  4 00:05:26 mundy pulseaudio[2280]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
ul  3 21:32:46 mundy pulseaudio[2280]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Jul  4 01:47:34 mundy pulseaudio[2280]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Jul  4 01:48:38 mundy pulseaudio[2280]: alsa-source.c: Increasing minimal latency to 1.00 ms
Jul  4 01:48:38 mundy pulseaudio[2280]: alsa-source.c: Increasing minimal latency to 2.00 ms
Jul  4 01:50:06 mundy pulseaudio[2280]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Jul  4 01:50:18 mundy pulseaudio[2280]: alsa-sink.c: Increasing minimal latency to 1.00 ms
Jul  4 01:50:20 mundy pulseaudio[2280]: alsa-sink.c: Increasing minimal latency to 2.00 ms
Jul  4 01:50:21 mundy pulseaudio[2280]: alsa-sink.c: Increasing minimal latency to 4.00 ms
Jul  4 01:50:21 mundy pulseaudio[2280]: alsa-sink.c: Increasing minimal latency to 8.00 ms
Jul  4 01:51:06 mundy pulseaudio[2280]: alsa-sink.c: Increasing minimal latency to 16.00 ms
Jul  4 01:52:14 mundy pulseaudio[2280]: alsa-sink.c: Increasing minimal latency to 26.00 ms
Jul  4 01:52:46 mundy pulseaudio[2280]: alsa-sink.c: Increasing wakeup watermark to 15.99 ms
Jul  4 01:53:01 mundy pulseaudio[2280]: alsa-source.c: Increasing minimal latency to 4.00 ms
Jul  4 01:53:51 mundy pulseaudio[2280]: alsa-sink.c: Increasing minimal latency to 36.00 ms
Jul  4 01:53:56 mundy pulseaudio[2280]: alsa-sink.c: Increasing wakeup watermark to 25.99 ms

(I used to get the "Increasing wakeup watermark" even in Fedora 10, so presumably that can be ignored.  By the way, if the timestamps look funny, it's because I was messing with my time zone and system time around then.)

Version-Release number of selected component (if applicable):

pulseaudio-0.9.15-14.fc11.x86_64
kernel-2.6.29.5-191.fc11.x86_64

How reproducible:

100% reproducible

Steps to Reproduce:
1. Try to play audio
2. Check that nothing comes out of the headphones
  
Actual results:

No sound

Expected results:

Sound

Additional info:
Comment 1 D. Wagner 2009-07-04 02:38:06 EDT
Created attachment 350475 [details]
Output of lspci -vv
Comment 2 D. Wagner 2009-07-04 22:23:50 EDT
The plot thickens.  I was playing around with adding the following line to /etc/modprobe.d/local-sound.conf (a file I newly created) and rebooting:

options snd-hda-intel model=XXX

where I replaced XXX with auto, dell-3stack, 6stack, dell-bios, and 6stack-dell.  None of those options gave me working sound, but in the process of experimenting I noticed something quite weird:

If I set model=auto or model=dell-3stack in the above, plug in my headphones, set every volume control I can find to maximum, reboot, log in immediately, and immediately start a sound-playing application ("xmms /tmp/I_will_follow.mp3", in my case), then I get the following behavior: I initially hear audio at a relatively low volume, and the audio continues playing but the volume level trails off over a period of about 12-15 seconds.  In the 0th second, I can hear the sound at a relatively low volume (definitely at a lower level than what I was hearing in my prior F10 install); the volume smoothly decreases, until at about 12 seconds in it is extremely faint and just barely audible, and by the 15th second, I can hear absolutely nothing.

I can reproduce this every time.

It's pretty time-sensitive, though.  To reproduce it, I had to add "xmms /tmp/I_will_follow.mp3" to my list of apps that Gnome immediately starts upon login; and then when I reboot, as soon as the GDM login prompt comes up, I have to very quickly log in, without delay.  I've repeated this 4-5 times and I get the same behavior every time.  I also tried a similar procedure, but where I wait 30-60 seconds after the GDM login screen comes up before logging in; in that case, I don't hear any audio at all.  I also tried logging out and logging back in, and this doesn't restore audio; to restore audio (for 12-15 seconds), I have to actually reboot.  So it seems like I get a little bit of faint audio for a limited time after boot-up time.

With model=6stack, dell-bios, or 6stack-dell, I get no audio at all, not even in the first 12-15 seconds (I'm pretty sure: I only tried it once, and because of the timing-sensitivity, I wouldn't absolutely swear to it).

I know this sounds crazy.  I'm reporting it, in case it is of any help in debugging.

Something else I noticed is that the first few times I did the experiment, when shutting down the system I got a very loud, harsh, short beep during the shutdown process (so loud that it made me jump and made my ears hurt), but I can't seem to reproduce this, and it doesn't happen any more.  I'm not sure what was up with that.  I'm going to ignore it.

If it matters, I have a Dell Dimension E520 with 6 analog jacks (1/8" jacks) on the back of the PC and 2 analog jacks (1/8" jacks) on the front.  It looks like I have a SigmaTel STAC9227.  "aplay -l" says:

**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Why was I messing around with /etc/modprobe.d/ configuration files?  I was reading in the forums, which described this as a possible workaround (it seems many other users are having problems with snd-hda-intel on F11):

http://www.mjmwired.net/kernel/Documentation/sound/alsa/HD-Audio-Models.txt
http://forums.fedoraforum.org/showthread.php?t=224051
http://fedorasolved.org/Members/fenris02/pulseaudio-fixes-and-workarounds

I haven't figured out how to capture debugging output from pulseaudio during the 12-15 seconds when I actually get audio output.  After the sound dies, I did try "pulseaudio -k" and then "pulseaudio -vv", but the sound doesn't come back.  I can post the log from pulseaudio with the latter experiment, if you want, but I don't know if it'll be of any assistance.
Comment 3 Adam Williamson 2009-07-15 15:17:48 EDT
This is not a simple AlsaVolume bug, it's something else. IIRC, we have a couple of reports already filed for cases where each sound 'event' seems to cause the volume level to either increase or decrease, your issue could be one of those...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Lennart Poettering 2009-07-23 08:49:49 EDT
Could you try running "alsactl init"? Does that fix your volume levels?
Comment 5 D. Wagner 2009-07-24 02:12:34 EDT
I tried it and it didn't seem to help: I still don't have any sound.  The output from the command is listed below.

$ alsactl init
Unknown hardware: "HDA-Intel" "SigmaTel STAC9227" "HDA:83847618,102801dd,00100201" "0x1028" "0x01dd"
Hardware is initialized using a guess method

Thanks for the idea.  Sorry it didn't seem to work!
Comment 6 Linuxguy123 2009-07-24 13:25:24 EDT
Sound doesn't work on my laptop either and I get the same output:

$alsactl init
Unknown hardware: "HDA-Intel" "SigmaTel STAC9271D" "HDA:83847627,30d4103c,00100402" "0x103c" "0x30d4"
Hardware is initialized using a guess method

Like the OP, sound worked fine in F10.
Comment 7 Linuxguy123 2009-07-24 13:41:36 EDT
A bit more information:

$ uname -a
Linux localhost.localdomain 2.6.29.6-213.fc11.i586 #1 SMP Tue Jul 7 20:45:17 EDT 2009 i686 i686 i386 GNU/Linux

Yesterday after I updated to the new 213 kernel, sound kind of worked. By that I mean that I got output from the headphone jack when I pressed the play button in the sound test area of system-config-sound.   

It didn't work after I booted up this morning, but it appears to work now.  I can't figure out what makes it work or not.  And I get sound only from the headphone jack, not from the speakers.

From Amarok->Settings->Configure Amarok-> Playback->Configure, under Music:

"Test" on Jack Audio Connection Kit gives me a test sound.
"Test" on HDA Intel (STAC92xx Analog) gives me a test sound.
"Test" on HDA Intel (STAC92xx Digital) gives me a test sound.
"Test" on PulseAudio gives me nothing.

I cannot get any sound out of Amarok, although I could briefly yesterday before the update to the new kernel, via the Jack device.

Another thing: yesterday when I was testing with system-config-sound, I was getting a horrible feedback sound out of the headphone jack.  Upon opening Kmix, I found that Capture was enabled on the built in microphone.  I disabled it and the test sound would play properly.  However, if I opened system-config-sound again, the capture channel would be enabled at a high level.

Another thing: Every time I reboot, I get another PulseAudio applet in my system tray.  1st boot = 1 applet.  Reboot = 2 applets.  Reboot = 3 applets.  I think my sound comes back when I wipe them all out and then reboot, but I haven't confirmed this.

Server, sink and source are all set to Default in the PulseAudio applet, but the server loses its setting when I reboot. 

I'll gladly provide more information to assist with troubleshooting this problem. 

$ yum list \*pulse\*
Loaded plugins: dellsysidplugin2, downloadonly, kmdl, priorities, refresh-packagekit
1 packages excluded due to repository priority protections
Installed Packages
alsa-plugins-pulseaudio.i586                                             1.0.20-2.fc11                                                   @updates
kde-settings-pulseaudio.noarch                                           4.2-10.20090430svn.fc11                                         @fedora
pulseaudio.i586                                                          0.9.15-14.fc11                                                  @updates
pulseaudio-libs.i586                                                     0.9.15-14.fc11                                                  @updates
pulseaudio-libs-glib2.i586                                               0.9.15-14.fc11                                                  @updates
pulseaudio-libs-zeroconf.i586                                            0.9.15-14.fc11                                                  @updates
pulseaudio-module-jack.i586                                              0.9.15-14.fc11                                                  @updates
pulseaudio-module-x11.i586                                               0.9.15-14.fc11                                                  @updates
pulseaudio-utils.i586                                                    0.9.15-14.fc11                                                  @updates
wine-pulseaudio.i586                                                     1.1.23-1.fc11                                                   @updates
xine-lib-pulseaudio.i586                                                 1.1.16.3-2.fc11                                                 @fedora
xmms-pulse.i586                                                          0.9.4-7.fc11                                                    @fedora

$ yum list \*alsa\*
Loaded plugins: dellsysidplugin2, downloadonly, kmdl, priorities, refresh-packagekit
1 packages excluded due to repository priority protections
Installed Packages
alsa-firmware.noarch                                                 1.0.20-1.fc11.1                                                    @updates
alsa-lib.i586                                                        1.0.20-1.fc11                                                      installed
alsa-lib-devel.i586                                                  1.0.20-1.fc11                                                      installed
alsa-oss.i586                                                        1.0.17-3.fc11                                                      installed
alsa-oss-devel.i586                                                  1.0.17-3.fc11                                                      installed
alsa-oss-libs.i586                                                   1.0.17-3.fc11                                                      installed
alsa-plugins-jack.i586                                               1.0.20-2.fc11                                                      @updates
alsa-plugins-oss.i586                                                1.0.20-2.fc11                                                      @updates
alsa-plugins-pulseaudio.i586                                         1.0.20-2.fc11                                                      @updates
alsa-tools.i586                                                      1.0.20-1.fc11                                                      @updates
alsa-tools-firmware.i586                                             1.0.20-1.fc11                                                      @updates
alsa-utils.i586                                                      1.0.20-3.fc11                                                      installed
bluez-alsa.i586                                                      4.37-2.fc11                                                        installed


Thanks
Comment 8 Linuxguy123 2009-07-24 13:44:40 EDT
Created attachment 355078 [details]
lspci output
Comment 9 Linuxguy123 2009-07-24 13:53:20 EDT
Update: I get some system sounds now.  For example, if I put a term in the search box in Evolution and then backspace too far, I get screeching in my headphone via the headphone jack.   When I look at kmix, the capture channel is enabled again.  I disable it, repeat the backspace action and I get screeching again. 

I just restarted Amarok and got a Phonon warning that the Jack audio component failed and that its falling back to the Analog component.

I now get music output from Amarok.

Too much backspacing in Evolution gives me an enabled capture channel and screeching, yet Amarok plays.

If I had to guess, I'd say the procedure to get some sound working is to delete all the Pulse Audio applets, reboot, run system-config-sound and reboot Amarok.  But this is just a guess.
Comment 10 Adam Williamson 2009-07-24 16:36:27 EDT
linuxguy123: your output is not at all the same. You have an entirely different HDA chip. Please file a separate report.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Lennart Poettering 2009-07-24 20:35:31 EDT
Given that this seems to be related to the kernel drivers I am now reassigning this to the kernel.
Comment 12 D. Wagner 2009-07-24 22:23:18 EDT
Based on the suggestion that this might be kernel-related, I decided to try a few other kernels -- and I found one that gives me working sound.  Hurray!

As a reminder, the experiments I detailed above (with various settings in /etc/modprobe.d) were done with kernel-2.6.29.5-191.fc11.x86_64.  None of the settings I tried gave me working sound.  "options snd-hda-intel model=auto" or "...=dell-3stack" gave me about 10-15 seconds of faint audio shortly after login but after that nothing, so not working sound; none of the other settings gave any audio output at all.

I tried kernel-2.6.29.6-213.fc11.x86_64 with "...=auto" and its behavior was identical to the 2.6.29.5-191 kernel.  I didn't mess around with other settings in /etc/modprobe.d.

Then I tried kernel-2.6.31-0.86.rc3.git5.fc12.x86_64.  With "options snd-hda-intel model=auto" in a file in /etc/modprobe.d, I have working sound!  Audio comes out of the headphones output on the front of my Dell workstation properly, and doesn't trail off shortly after booting.

I also tested kernel-2.6.31-0.86.rc3.git5.fc12.x86_64 without any entry in /etc/modprobe.d.  That leads to 10-15 seconds of faint audio shortly after logging in, trailing off to nothingness, similar to the symptoms indicated earlier.  So while the 2.6.31 leads to working sound, sound is only working if I manually add a file to /etc/modprobe.d containing the line "options snd-hda-intel model=auto" -- it's not working automatically.

In Fedora 10, I didn't have to mess around with manually adding stuff to /etc/modprobe.d; sound just worked by default.  So this may still be a regression -- albeit one that now has a working workaround.

I got the 2.6.31 kernel listed above from Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=115527

By the way, I should also document one difference between my testing with the 2.6.29 kernels and the 2.6.31 kernels: with the 2.6.29 kernels, I've got kmod-nvidia (the non-free Nvidia drivers) installed; with 2.6.31, there is no kmod-nvidia available, so I don't have kmod-nvidia installed during my tests with 2.6.31.  I have no reason to believe that this makes any difference but I'm just jotting it down for completeness.

Anyway, I hope this helps.  Let me know if you'd like me to do any other testing.  I wonder if it's worth getting a more recent kernel out to any other Fedora users who are having difficulties with sound, to see if that helps.  And thanks for your help, Lennart and Adam.
Comment 13 Adam Williamson 2009-07-29 19:43:16 EDT
This implies the bug was fixed upstream in ALSA 1.0.20, I reckon.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Stig Hackvan 2009-08-13 06:35:15 EDT
This bug has appeared for me in F10 with the latest kernel update...

    kernel-2.6.27.29-170.2.78.fc10.x86_64
    (+ kmod-nvidia-2.6.27.29-170.2.78.fc10.x86_64-180.60-1.fc10.1.x86_64)

this kernel makes problems for pulseaudio and my intel-hda audio...


while the kernel before it had no problems 
     kernel-devel-2.6.27.25-170.2.72.fc10.x86_64 & 
     kmod-nvidia-2.6.27.25-170.2.72.fc10.x86_64-180.51-1.fc10.8.x86_64

...

ps: i'm still on F10 because I'm intensely unhappy with the new pulseaudio mixer in F10 and the complete lack of support for mixing line-in into the output stream...  I depend upon that capacity for my a 2nd computer on my desktop and I find the attitude of righteousness and flaming tendencies of the guy who "owns" F11's new mixer to be especially disheartening...
Comment 15 Adam Williamson 2009-08-13 12:45:25 EDT
Not the same bug at all, this is an F11 report, you're running F10, and we've no indication you have the same hardware. Even if you do it needs two reports to track changes in two releases. Please file a new bug, and include your alsa-info.sh output.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Stig Hackvan 2009-08-13 15:31:43 EDT
okay, new report is  Bug 517415
Comment 17 Bug Zapper 2010-04-27 11:28:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-06-28 09:28:23 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.